सामग्री पर जाएँ

Meta Muse Image Text to Image

इंटीग्रेट करें

मॉडल id meta/muse-image/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meta/muse-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.01 10 API क्रेडिट · ≈ ₽1.08 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Meta टेक्स्ट से इमेज #realism#typography#stylized

फ्री-फ़ॉर्म आस्पेक्ट रेशियो और प्रति अनुरोध 1 से 10 इमेज वाला टेक्स्ट-टू-इमेज जनरेटर

Meta · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण या संपादन के लिए टेक्स्ट निर्देश।

आउटपुट आस्पेक्ट रेशियो; इसे निर्दिष्ट न करने पर Muse आयामों का चयन स्वचालित रूप से करता है। Muse अनुरोधित पिक्सेल आयामों के बजाय अनुपातों का उपयोग करता है और अपने स्थिर रिज़ॉल्यूशन पर लगभग 2.5 मेगापिक्सेल में रेंडर करता है: "1920:1200" और "960:600" दोनों से 1920x1200 इमेज मिलती है। "width:height" नोटेशन का उपयोग करके 1:16 से 16:1 के बीच कस्टम अनुपात दें, जैसे "16:9", "5:4" या "1920:1200"; सामान्य प्रीसेट में "21:9", "16:9", "4:3", "3:2", "1:1", "2:3", "3:4", "9:16", "9:21" शामिल हैं।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत output_format
output_format डिफ़ॉल्ट webp

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

POST /run/meta/muse-image/text-to-image?wait=20 कोटेशन → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meta/muse-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Meta Muse Image Text to Image के बारे में

टेक्स्ट `prompt` से इमेज बनाता है। `aspect_ratio` 1:16 से 16:1 के बीच कोई भी width:height मान लेता है, जिसमें 16:9 या 9:16 जैसे प्रीसेट शामिल हैं। `num_images` 1 से 10 तक बनाई जाने वाली इमेज की संख्या सेट करता है, और `output_format` jpeg, png या webp होता है (डिफ़ॉल्ट webp)। टेक्स्ट, प्लॉट या QR कोड वाली इमेज के लिए उपयोग किया जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज निर्माण या संपादन के लिए टेक्स्ट निर्देश।
aspect_ratioवैकल्पिक
प्रकारstring | null
आउटपुट आस्पेक्ट रेशियो; इसे निर्दिष्ट न करने पर Muse आयामों का चयन स्वचालित रूप से करता है। Muse अनुरोधित पिक्सेल आयामों के बजाय अनुपातों का उपयोग करता है और अपने स्थिर रिज़ॉल्यूशन पर लगभग 2.5 मेगापिक्सेल में रेंडर करता है: "1920:1200" और "960:600" दोनों से 1920x1200 इमेज मिलती है। "width:height" नोटेशन का उपयोग करके 1:16 से 16:1 के बीच कस्टम अनुपात दें, जैसे "16:9", "5:4" या "1920:1200"; सामान्य प्रीसेट में "21:9", "16:9", "4:3", "3:2", "1:1", "2:3", "3:4", "9:16", "9:21" शामिल हैं।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 10
निर्माण के लिए अनुरोधित इमेज की संख्या।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टwebp
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meta/muse-image/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}निर्माण या संपादन से बनाई गई इमेज।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/meta/muse-image/text-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt